## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global sover 1.4

Name:           zycore-c
Version:        1.4.1
Release:        %autorelease
Summary:        Zyan Core Library for C

License:        MIT
URL:            https://github.com/zyantific/zycore-c
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# Set DOXYGEN_GENERATE_MAN config option to generate manpages
Patch0:         https://github.com/zyantific/zycore-c/pull/65.patch

# https://github.com/zyantific/zycore-c/issues/59
ExcludeArch:    s390x

BuildRequires:  gcc gcc-c++
BuildRequires:  cmake
BuildRequires:  gtest-devel
BuildRequires:  doxygen

%description
The Zyan Core Library for C is an internal library providing platform
independent types, macros and a fallback for environments without LibC.

%package        devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains the documentation for %{name}.

%prep
%autosetup -p1

%build
%cmake \
    -DZYCORE_BUILD_SHARED_LIB=ON \
    -DZYCORE_BUILD_TESTS=ON \
    -DZYCORE_BUILD_EXAMPLES=ON \
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_libdir}/libZycore.so.%{sover}*

%files devel
%dir %{_includedir}/Zycore
%dir %{_includedir}/Zycore/API
%dir %{_includedir}/Zycore/Internal
%{_includedir}/Zycore/*.h
%{_includedir}/Zycore/API/*.h
%{_includedir}/Zycore/Internal/*.h
%dir %{_libdir}/cmake/zycore
%{_libdir}/cmake/zycore/*.cmake
%{_libdir}/libZycore.so
%{_mandir}/man3/*

%files doc
%license LICENSE
%dir %{_datadir}/doc/Zycore
%dir %{_datadir}/doc/Zycore/api
%dir %{_datadir}/doc/Zycore/api/search
%{_datadir}/doc/Zycore/api/*.css
%{_datadir}/doc/Zycore/api/*.png
%{_datadir}/doc/Zycore/api/*.html
%{_datadir}/doc/Zycore/api/*.map
%{_datadir}/doc/Zycore/api/*.md5
%{_datadir}/doc/Zycore/api/*.js
%{_datadir}/doc/Zycore/api/*.svg
%{_datadir}/doc/Zycore/api/search/*.js
%{_datadir}/doc/Zycore/api/search/*.svg
%{_datadir}/doc/Zycore/api/search/*.css

%changelog
* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 19 2023 topazus <topazus@outlook.com> - 1.4.1-2
- add Packit CI

* Fri Jun 16 2023 topazus <topazus@outlook.com> - 1.4.1-1
- initial import (RHBZ#2196601)
